package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCLink extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMLink dm=(QMLink)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addStringAttribute("tag",dm.tag);
		addBooleanAttribute("wild",dm.wild);
		addStringAttribute("coin",dm.coin);
		addStringAttribute("schema",dm.schema);
		addStringAttribute("schemaClass",dm.schemaClass);
		addBooleanAttribute("inline",dm.inline);

		startElement("link");

		doCvt(dm.remList,null);

		endElement("link");
	}
}
